package com.qmth.jkserver.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.jkserver.dto.ExamRoomMonitorInfoDto;
import com.qmth.jkserver.model.ExamRoomMonitorInfo;
import com.qmth.jkserver.params.ExamRoomMonitorInfoParams;
import org.springframework.data.domain.Page;

import java.util.List;
import java.util.Map;

public interface ExamRoomMonitorInfoService extends IService<ExamRoomMonitorInfo> {

    public void remove(String examCode, String placeCode, String roomCode);

    public void save(List<ExamRoomMonitorInfo> examRoomMonitor);

    public Page<ExamRoomMonitorInfoDto> pageQuery(ExamRoomMonitorInfoParams params, int curPage, int pageSize);

    Object getExamInProgress();

    List<Map<String, Object>> getPlaceByProvinceAndCityAndExamCode(String province, String city, String examCode);

    List<Map<String, Object>> getProvinceByExamCode(String examCode);

    List<Map<String, Object>> getCityByProvince(String province);

    Object queryCountInfo(ExamRoomMonitorInfoParams examCode);

    List<Map<String, Object>> queryCategoryPercent(String examCode);

    List<Map<String, Object>> queryPlacePercent(String examCode);
}
